# Contribute

## Code
If you can code Coffeescript, feel free to make a pull request.
Make sure to check out my [Zenhub board](https://github.com/dustinblackman/Championify#boards?repos=34264106) so we don't have any conflicts if I or someone else has already started on an issue. :)

__Rules__

- Must pass all tests. `npm test`
- Must write tests for all new functions (look at current tests for examples, still a WIP).
- Functions must be camel cased. `downloadStuff()`
- Variables must be underscored. `my_champion = 'teemo'`
- PR must be off and back to master branch.

I suggest making sure your linters are setup correctly, or run `gulp lint` every now and again so you're not making a crazy amount of commits.

---

### Translations
I use [Transifex](https://www.transifex.com/dustinblackman/championify) to manage all my translations, it's super easy and lets everyone contribute! The initial translations were done with Google Translate, so just because a translation exists doesn't mean it's correct. You can also check out the language status list below to see which have been done by Google, and which has had attention from a native speaker.

__Rules__
- Make sure to check if a translation has been done already before writing it over again.
- If you have an issue with someone elses translation, please use the comments section.
- Don't add extra punctuations (such as `...`) to the end of translations if the English version doesn't have it.
- Take a look at the screenshot links you'll find with each translation (if they're available), or check out the [screenshot folder](resources/screenshots/)

__Setup__
- Create an account with [Transifex](https://www.transifex.com/signin/) (Or login with Github/Google/Facebook/ect)
- Join the Championify team with the language you'd like to work on
- Start!

__Langauge Status__

| Language | Finished |
| ------------- | -----:|
| English | Yes |
| Bulgarian | No |
| Chinese Simplified | No |
| Chinese Traditional | No |
| Dutch | No |
| French | Yes |
| German | No |
| Greek | Yes |
| Hebrew | Yes |
| Hungarian | No |
| Indonesian | No |
| Italian | No |
| Japanese | No |
| Korean | No |
| Malay | No |
| Polish | No |
| Portuguese | Yes |
| Portuguese Brazil | Yes |
| Romanian | No |
| Russian | No |
| Spanish | No |
| Thai | Yes |
| Turkish | No |
| Vietnamese | No |

Please prevent from putting translations in PRs, I'd rather keep those for code. I check Transifex every other day, but if you'd like me to get a look at your translations quickly then hit me up on [Gitter](https://gitter.im/dustinblackman/Championify).
